Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
make_prm.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/rng.h>`
`#include <botan/internal/bit_ops.h>`
`#include <botan/loadstor.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/primality.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BigInt | Botan::generate_rsa_prime (RandomNumberGenerator &keygen_rng, RandomNumberGenerator &prime_test_rng, size_t bits, const BigInt &coprime, size_t prob)
BigInt | Botan::random_prime (RandomNumberGenerator &rng, size_t bits, const BigInt &coprime, size_t equiv, size_t modulo, size_t prob)
BigInt | Botan::random_safe_prime (RandomNumberGenerator &rng, size_t bits)

## Variable Documentation

std::vector<uint16_t> m_sieve

Definition at line 68 of file make_prm.cpp.